Bug 5760 - nvidia_glx молча блокирует загрузку под 2.6
: nvidia_glx молча блокирует загрузку под 2.6
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nvidia_glx_common)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-21 15:24 by
Modified: 2005-08-30 02:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-21 15:24:46
При переезде под 2.6.9 загрузка "повисла" сразу после "Entering non-interactive
startup".  Отладка /etc/rc.d/rc показала, что виноват сервис nvidia_glx; его
отладка показала, что "висим" на выховах rpmquery, пытаясь достучаться до DNS
для резолвинга полученного от gethostname() (а также писать в /dev/log, куда
тоже ещё не пускают).

Предложение:

1. (быстро) изменить порядок загрузки с 04 на 31, что позволит запуститься
network, syslogd (и заодно nscd -- возможно, относится, у нас LDAP) раньше.

2. (на перспективу) переработать *nvidia*rpm в сторону оставления флажков о
версиях где-нибудь в /var/lib/nvidia/{kernel,GLX} -- тогда выбирать будет очень
просто.  Как вариант (предложено rider) -- версионировать имена модулей и
выделять readlink'ом, но это дополнительный парсинг в рантайме.

Могу попробовать поковырять этот вариант.
------- Comment #1 From 2004-12-21 15:35:05 -------
после недолгого раздумья предлагаю вот такой патч на спек:
RCS file: /cvs/kernel/kernel/modules/nvidia/kernel-modules-nvidia.spec,v
retrieving revision 1.22
diff -u -r1.22 kernel-modules-nvidia.spec
--- kernel-modules-nvidia.spec  26 Oct 2004 12:42:51 -0000      1.22
+++ kernel-modules-nvidia.spec  21 Dec 2004 12:34:21 -0000
@@ -72,6 +72,8 @@
 %else
 install -p -m644 nvidia.ko $RPM_BUILD_ROOT/%module_dir
 %endif
+%__mkdir -p $RPM_BUILD_ROOT/%_localstatedir/nvidia/
+echo "%module_version"
>$RPM_BUILD_ROOT/%_localstatedir/nvidia/%kversion-%flavour-%krelease

 %post
 %post_kernel_modules %kversion-%flavour-%krelease
@@ -82,6 +84,7 @@
 %files
 %defattr(644,root,root,755)
 %module_dir
+%_localstatedir/nvidia

 %changelog
 * Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru>
1.0.6111-alt4.@kreleasebuild@
------- Comment #2 From 2004-12-21 17:03:18 -------
Есть мнение, что тогда %_localstatedir/nvidia/ лучше запихать в
nvidia_glx_common (хм... и требовать его в ядерных пакетах?) -- ы? :)

(впрочем, это мелочная придирка :)
------- Comment #3 From 2004-12-22 12:52:19 -------
(In reply to comment #2) 
> Есть мнение, что тогда %_localstatedir/nvidia/ лучше запихать в 
> nvidia_glx_common (хм... и требовать его в ядерных пакетах?) -- ы? :) 
Вместе с X-ами? 
 
 
------- Comment #4 From 2004-12-22 13:01:30 -------
 (In reply to comment #1) 
>$RPM_BUILD_ROOT/%_localstatedir/nvidia/%kversion-%flavour-%krelease 
%buildroot/lib/nvidia_module ? 
 
------- Comment #5 From 2004-12-22 13:21:42 -------
Эээ... кстати, предложение 3: вывод "Adjusting..." перенести _раньше_
выполнения
каких-либо операций.
------- Comment #6 From 2004-12-22 13:22:55 -------
(In reply to comment #3)
> > Есть мнение, что тогда %_localstatedir/nvidia/ лучше запихать в 
> > nvidia_glx_common (хм... и требовать его в ядерных пакетах?) -- ы? :) 
> Вместе с X-ами? 

Я имел в виду %dir, а ты что? :)

------- Comment #7 From 2004-12-23 10:05:52 -------
(In reply to comment #6) 
> Я имел в виду %dir, а ты что? :) 
Тогда я не понял кто, что, от кого и как должен требовать? 
------- Comment #8 From 2004-12-23 11:59:38 -------
Ай, забей, глупости, неважно.  С rider посоветуйтесь лучше.
------- Comment #9 From 2004-12-26 12:27:10 -------
(In reply to comment #4) 
>  (In reply to comment #1)  
> >$RPM_BUILD_ROOT/%_localstatedir/nvidia/%kversion-%flavour-%krelease  
> %buildroot/lib/nvidia_module ?  
В смысле 
%buildroot/lib/nvidia_module/%kversion-%flavour-%krelease 
 
 
------- Comment #10 From 2005-04-11 16:38:19 -------
fixed in nvidia_glx-common-1.0.7167-alt1  
------- Comment #11 From 2005-08-30 02:23:07 -------
closing
------- Comment #12 From 2005-08-30 02:33:30 -------
closing